#
# qa-reader.awk - reads all the input from the QA report and transform into an sql sentences
#
#

BEGIN {
        IGNORECASE = 1;
        
        entity["aacute"] = ""; 
        entity["eacute"] = ""; 
        entity["iacute"] = ""; 
        entity["oacute"] = ""; 
        entity["uacute"] = ""; 
        entity["ntilde"] = ""; 
        entity["lt"] = "<"; 
        entity["gt"] = ">";
        entity["nbsp"] = " ";
        entity["quot"] = "\"";
        entity["amp"] = "&";
        entity["Aacute"] = ""; 
        entity["Eacute"] = ""; 
        entity["Iacute"] = ""; 
        entity["Oacute"] = "O"; 
        entity["Uacute"] = ""; 
        entity["Ntilde"] = "";
        entity["copy"] = "(c)";
      }
/.*/  {
        line = transform_entities( $0 );

      }
END   {
        print "-- Goodbye";
      }

#
# An&aacute;lisis por Fichero</h3> -> Anlisis por Fichero</h3>
#
function transform_entities( input )
{
  changed = 10;
  while( changed-- && match( input, "&([[:alpha:]]*);", ent_found ) != 0  )
  {
    # locate in the array
    replacement = entity[ent_found[1]];
    if( replacement != "" )
    {
      # there is a replacement of the entity, 
      # just replace it and that's it 
      input = gensub( "&" ent_found[1] ";", replacement, "g", input ); 
    }
    else
      print "THERE ISN'T REPLACEMENT FOR ", ent_found[1], " IN ", input;
  } # changed--
    
  return input; 
    
} # transform_entities
